﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Logica.Kbn.PostSharpAspect.Extension
{
    /// <summary>
    /// class with stirng extension methods
    /// </summary>
    public static class StringExtensions
    {
        /// <summary>
        /// appends a new text
        /// </summary>
        /// <param name="instance">instance of the string</param>
        /// <param name="text">text to append</param>
        /// <returns></returns>
        public static string Append(this string instance, string text)
        {
            return instance + text;
        }

        /// <summary>
        /// generate a number of spaces
        /// </summary>
        /// <param name="instance">instance of the string</param>
        /// <param name="spaces">number of spaces</param>
        public static string Space(this string instance, int spaces)
        {
            string res = instance;

            // abort criteria
            if (spaces <= 0) return res;

            for (int i = 0; i < spaces; i++) res = res.Append(" ");

            return res;
        }

        /// <summary>
        /// adds a new line
        /// </summary>
        /// <param name="instance">cource stiand to add the line</param>
        public static string NewLine(this string instance)
        {
            return instance.Append(System.Environment.NewLine);
        }
    }
}
