﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Mathematics.cs" company="">
//   
// </copyright>
// <summary>
//   Defines the Mathematics type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace AopConsole
{
    using System;
    using Logica.Kbn.PostSharpAspect;

    public static class Mathematics
    {
        // [LoggingAspect()]
        public static bool IsOdd(this int number)
        {
            return (number % 2) == 1;
        }

        //[LoggingAspect()]
        public static bool IsEven(this int number)
        {
            return (number % 2) == 0;
        }

        //[LoggingAspect()]
        public static bool IsOdd2(this int number)
        {
            return !number.IsEven();
        }

        //[LoggingAspect()]
        public static bool OMG(this int number)
        {
            throw new NotImplementedException("OH-OH");
        }





        //[LoggingAspect(AttributePriority = 2)]
        [IntBoolFunctionCacheAspect()]
        public static bool IsPrimeCached(this int testNumber)
        {
            if (testNumber < 2) return false;

            // 2 explizit testen, da die Schliefe an 3 startet
            if (testNumber % 2 == 0) return false;
            long upperBorder = (long)System.Math.Round(System.Math.Sqrt(testNumber), 0);

            // Alle ungeraden Zahlen bis zur Wurzel prüfen
            for (long i = 3; i <= upperBorder; i = i + 2)
                if (testNumber % i == 0) return false;
            return true;
        }
    }
}
