﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PostSharp.Laos;

namespace Logica.Kbn.PostSharpAspect.Exception
{
    public class ValidationException : System.Exception
    {
        private readonly MethodExecutionEventArgs _methodExecutionEventArgs;

        public ValidationException(string message, MethodExecutionEventArgs methodExecutionEventArgs)
            : base(message)
        {
            _methodExecutionEventArgs = methodExecutionEventArgs;
        }

        public override string Message
        {
            get
            {
                return "Validation fault: [" + base.Message + "] at [" + _methodExecutionEventArgs.Method + "].";
            }
        }
        
    }
}
